defmodule Mv.Accounts.UserIdentity do
  @moduledoc """
  AshAuthentication specific ressource
  """
  use Ash.Resource,
    data_layer: AshPostgres.DataLayer,
    extensions: [AshAuthentication.UserIdentity],
    domain: Mv.Accounts

  postgres do
    table "user_identities"
    repo Mv.Repo
  end

  user_identity do
    user_resource Mv.Accounts.User
  end
end
